Package org.springframework.transaction

# Interface ConfigurableTransactionManager

All Superinterfaces:
  `TransactionManager`

All Known Implementing Classes:
  `AbstractPlatformTransactionManager`, `AbstractReactiveTransactionManager`, `JtaTransactionManager`

public interface ConfigurableTransactionManager extends TransactionManager
Common configuration interface for transaction manager implementations. Provides registration facilities for `TransactionExecutionListener`.

Since:
  6.1
Author:
  Juergen Hoeller
See Also:
  - `PlatformTransactionManager`
  - `ReactiveTransactionManager`

## Method Summary

Modifier and Type
Method
Description
`default void`
`addListener(TransactionExecutionListener listener)`
Conveniently register the given listener for begin/commit/rollback callbacks from this transaction manager.
`Collection<TransactionExecutionListener>`
`getTransactionExecutionListeners()`
Return the registered transaction execution listeners for this transaction manager.
`void`
`setTransactionExecutionListeners(Collection<TransactionExecutionListener> listeners)`
Set the transaction execution listeners for begin/commit/rollback callbacks from this transaction manager.

## Method Details

### setTransactionExecutionListeners

void setTransactionExecutionListeners(Collection<TransactionExecutionListener> listeners)
Set the transaction execution listeners for begin/commit/rollback callbacks from this transaction manager.

See Also:
  - `addListener(org.springframework.transaction.TransactionExecutionListener)`

### getTransactionExecutionListeners

Collection<TransactionExecutionListener> getTransactionExecutionListeners()
Return the registered transaction execution listeners for this transaction manager.

See Also:
  - `setTransactionExecutionListeners(java.util.Collection<org.springframework.transaction.TransactionExecutionListener>)`

### addListener

default void addListener(TransactionExecutionListener listener)
Conveniently register the given listener for begin/commit/rollback callbacks from this transaction manager.

See Also:
  - `getTransactionExecutionListeners()`